sigh Rated 5 out of 5 stars

@Rick, Then try using the Add-on Compatibility Reporter. FF 8 is nothing more than a minor upgrade like the upgrades in ff 3 were. ;)

This review is for a previous version of the add-on (2.1.1.1-signed). 

better check the change logq Rated 5 out of 5 stars

To the previous reviewer, I advise you to check the change log. Snaplinks 2.1.1 is compatible with firefox 8. Please don't make assumptions without checking your facts

This review is for a previous version of the add-on (2.1.1.1-signed).